org.apache.tools.ant.filters.util

## Class ChainReaderHelper.ChainReader

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.apache.tools.ant.filters.util.ChainReaderHelper.ChainReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

Enclosing class:
  ChainReaderHelper

    public class ChainReaderHelper.ChainReader
    extends java.io.FilterReader

Created type.

### Field Summary

### Fields inherited from class java.io.FilterReader

`in`

### Fields inherited from class java.io.Reader

`lock`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected void` `finalize()`
`java.lang.String` `readFully()`

### Methods inherited from class java.io.FilterReader

`mark, markSupported, read, read, ready, reset, skip`

### Methods inherited from class java.io.Reader

`read, read`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readFully

    public java.lang.String readFully()
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterReader`
Throws:
  `java.io.IOException`

#### finalize

    protected void finalize()
                     throws java.lang.Throwable

Overrides:
  `finalize` in class `java.lang.Object`
Throws:
  `java.lang.Throwable`